mysqli::debug
mysqli::$errno
mysqli
PHP Manual

# mysqli::dump_debug_info

# mysqli_dump_debug_info

Dump debugging information into the log

### Description

Object oriented style

bool mysqli::dump_debug_info ( void )

Procedural style

bool mysqli_dump_debug_info ( mysqli `$link` )

This function is designed to be executed by an user with the SUPER privilege and is used to dump debugging information into the log for the MySQL Server relating to the connection.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect or mysqli_init

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_debug